"""
Copyright 2021-2024 MICRORISC s.r.o.

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

	http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
"""

import random


class PasswordGenerator:
	"""
	Password generator.

	Methods
	-------
	generate(length: int) -> str
		Generate a random password.
	"""

	@staticmethod
	def generate(length: int = 16) -> str:
		"""
		Generate a random password.

		Parameters
		----------
		length: int
			Length of the generated password

		Returns
		-------
		str
			Generated password
		"""
		characters = 'abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789!@#$%^&*()'
		return ''.join(random.sample(characters, length))
